NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.AdmMoveFaceBuilder Class Reference

Represents a NXOpen.Features.AdmMoveFace builder More...

Inheritance diagram for NXOpen.Features.AdmMoveFaceBuilder:
NXOpen.Features.AdmBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MoveOptionType { MoveAndAdapt, CutAndPaste }
 Represents the move option. More...
 
- Public Types inherited from NXOpen.Features.AdmBaseBuilder
enum  SolveOptionType { C1, C2 }
 Represents the solve option. More...
 
enum  UpdateMethodType { FaceChange = 1, AutomaticRecovery, Automatic, Multiple }
 Represents the update method option. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.FaceChangeOverflowBehavior 
FaceChangeOverflowBehavior [get]
 Returns the face change overflow behavior. More...
 
unsafe
NXOpen.Features.FaceRecognitionBuilder 
FaceToMove [get]
 Returns the face to move. More...
 
unsafe bool HealOption [get, set]
 Returns or sets the heal option. More...
 
unsafe
NXOpen.GeometricUtilities.ModlMotion 
Motion [get]
 Returns the motion. More...
 
unsafe
NXOpen.Features.AdmMoveFaceBuilder.MoveOptionType 
MoveOption [get, set]
 Returns or sets the move option. More...
 
unsafe bool PasteOption [get, set]
 Returns or sets the paste option. More...
 
unsafe
NXOpen.GeometricUtilities.StepOptionBehavior 
StepOption [get]
 Returns the step option behavior. More...
 
- Properties inherited from NXOpen.Features.AdmBaseBuilder
unsafe
NXOpen.Features.AdmBaseBuilder.SolveOptionType 
SolveOption [get]
 Returns the solve option More...
 
unsafe
NXOpen.Features.AdmBaseBuilder.UpdateMethodType 
UpdateMethod [get]
 Returns the Update method option More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.AdmBaseBuilder
unsafe void OnApplyPre ()
 Delete the current operation and close the interaction for preview More...
 
unsafe void Reconfigure ()
 Reset the operation and configure it again, if something is changed and a re-configure is needed, this function should be called More...
 
unsafe void SetSolveOption (NXOpen.Features.AdmBaseBuilder.SolveOptionType solveOption)
 Sets solve option to use C1 or C2 for VTK solver More...
 
unsafe void SetUpdateMethod (NXOpen.Features.AdmBaseBuilder.UpdateMethodType updateMethod)
 Sets VTK update method to for Solid Edge More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.AdmMoveFace builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateAdmMoveFaceBuilder

Default values.

Property Value

FaceToMove.CoaxialEnabled

0

FaceToMove.CoplanarAxesEnabled

0

FaceToMove.CoplanarEnabled

0

FaceToMove.EqualDiameterEnabled

0

FaceToMove.OffsetEnabled

0

FaceToMove.ParallelEnabled

0

FaceToMove.PerpendicularEnabled

0

FaceToMove.SameOrbitEnabled

0

FaceToMove.SymmetricEnabled

0

FaceToMove.TangentEnabled

0

FaceToMove.ThicknessChainEnabled

0

FaceToMove.UseFaceBrowse

1

HealOption

True

Motion.DeltaEnum

ReferenceWcsWorkPart

Motion.DeltaXc.Value

0.0

Motion.DeltaYc.Value

0.0

Motion.DeltaZc.Value

0.0

Motion.Option

DistanceAngle

StepOption.StepOption

None

Created in NX6.0.0

Member Enumeration Documentation

Represents the move option.

Enumerator
MoveAndAdapt 

Option equates to standard Move Face.

CutAndPaste 

Option equates to enhanced Move Face with Cut or Copy Face with Paste Face and Delete Face without heal.

Property Documentation

unsafe NXOpen.GeometricUtilities.FaceChangeOverflowBehavior NXOpen.Features.AdmMoveFaceBuilder.FaceChangeOverflowBehavior
get

Returns the face change overflow behavior.

Please refer NXOpen.GeometricUtilities.FaceChangeOverflowBehavior for details.

Created in NX6.0.2

License requirements: None.

unsafe NXOpen.Features.FaceRecognitionBuilder NXOpen.Features.AdmMoveFaceBuilder.FaceToMove
get

Returns the face to move.

Please refer NXOpen.Features.FaceRecognitionBuilder for details.

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.AdmMoveFaceBuilder.HealOption
getset

Returns or sets the heal option.

If true, Cut Face will be used to move the faces, and the wound will be healed automatically, else Copy Face will be used to move the faces and the original faces will be deleted without heal.

Created in NX8.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.ModlMotion NXOpen.Features.AdmMoveFaceBuilder.Motion
get

Returns the motion.

The motion block provides a suite of linear and angular transform methods. Please refer NXOpen.GeometricUtilities.ModlMotion for details.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.AdmMoveFaceBuilder.MoveOptionType NXOpen.Features.AdmMoveFaceBuilder.MoveOption
getset

Returns or sets the move option.

Created in NX8.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.AdmMoveFaceBuilder.PasteOption
getset

Returns or sets the paste option.

If true, the copied or cut faces will be pasted on the target body, else those faces will not be pasted.

Created in NX8.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.GeometricUtilities.StepOptionBehavior NXOpen.Features.AdmMoveFaceBuilder.StepOption
get

Returns the step option behavior.

Please refer NXOpen.GeometricUtilities.StepOptionBehavior for details.

Created in NX8.0.1

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.